window.onload = function () {
		// 在页面加载完成后执行
		// 执行你的代码
		const currentDate = gemhoUtil.getTargetDateYM();
				new Vue({
					el: '#app',
					data() {
						return {
							showPopup4completionDate: false,
							// 控制日期选择器弹窗的显示与隐藏
							showPicker: false,
							// 存储选择的日期
							selectedDate: currentDate, // '', // gemhoUtil.formatDate(new Date(value)),
							// 日期选择的最小范围，这里设置为当前日期的前 10 年
							minDate: new Date(new Date().getFullYear() - 10, 0),
							// 日期选择的最大范围，这里设置为当前日期的后 10 年
							maxDate: new Date(new Date().getFullYear() + 10, 11),
							checkModules: [{
									intro: '提交检查反馈',
									
								},
								{
									intro: '查看检查历史记录'
								},
								{
									intro: '提交检查反馈'
								},
								{
									intro: '下载检查报告'
								},
								{
									intro: '查看隐患详情'
								},
								{
									intro: '设置检查提醒'
								}
							],
							userInfo: {
								userType: 'sj', // 登录用户type
								userId: '1', // 登录用户id
								userName: '张三', // 登录用户name
								deptId: '1', // 登录用户部门id
								deptName: '部门1', // 登录用户部门name			
								role: 'dudao',
								roleName: '督导',
							}, // 登录用户type
						};
					},
					mounted() {
						// 在组件挂载后执行
						// 调用你的方法
						this.init();
					},
					computed: {
						formattedDate() {
							// 检查原始日期是否存在
							console.log(this.selectedDate == null)
							if (this.selectedDate !== null) {
								// 使用 split 方法按 - 分割日期字符串
								const [year, month] = this.selectedDate.split('-');
								// 拼接成目标格式
								return `${year}月${month}日`;
							}
							return '';
						}
					},
					methods: {
						scanCode() {
							lightAppJssdk.device.scan({
							    success: function (data) {
									// 获取到data为二维码的url路径，从这里取请求参数，商户id，在下面跳转本地系统路径
							        // alert('扫码成功'+JSON.stringify(data))
									
									// location.href = 'shanghu_home.html'
									gemhoUtil.navigatePage(`src/_shanghu_home.html`)
							        //成功回调
							    }, fail: function (data) {
							        //错误返回
							        alert('扫码失败')
							    }
							});
						},
						navTo(url){
							// gemhoUtil.nav2asd(url)
							gemhoUtil.navigatePage(`src/_${url}.html`)
						},
						menuShowYN(menuName){
							return true
							var roleList = []
							
							if(menuName=='saoma'){
								roleList = ['dudao', 'hangye', 'richang']
							}
							if(menuName=='jianchajilu'){
								roleList = ['dudao', 'hangye', 'richang', 'shangjia']
							}
							
							if(menuName=='yinhuanshenhe'){
								roleList = ['richang']
							}
							
							if(menuName=='shangjiaxinxi'){
								roleList = ['shangjia']
							}
							if(menuName=='anquanchangshi'){
								roleList = ['shangjia']
							}
							if(menuName=='anquanzicha'){
								roleList = ['shangjia']
							}
							if(menuName=='yinhuanzhenggai'){
								roleList = ['shangjia']
							}
							console.log(roleList.indexOf(this.userInfo.role) > -1)
							return roleList.indexOf(this.userInfo.role) > -1
						},
						init() {
							// 在组件挂载后执行
							// 调用你的方法
						},
						showPopup() {
							this['showPopup4completionDate'] = true
						},
						confirm4completionDate(value) {
							console.log('value', value)
							this.selectedDate = gemhoUtil.getTargetDateYMByPara(value)
							this.showPopup4completionDate = false
			
						},
						// 确认选择日期时的回调函数
						onConfirm(value) {
							// 使用 toLocaleDateString 方法将日期对象格式化为本地日期字符串
							this.selectedDate = value.toLocaleDateString();
							this.showPicker = false;
						},
						// 取消选择日期时的回调函数
						onCancel() {
							this.showPicker = false;
						}
					},
				});
		
	}		
		
